Franklin Templeton added $150 million in fund shares to the XRP Ledger in two subscriptions on Thursday, nearly quadrupling the fund's tokens on the network, with the receiving…
Top bar from XRPSCAN's balances API, aggregated by the labels it publishes, September 17, 2026. Bottom funnel from Bitquery's XRP Ledger adoption audit, September 2026. Four texts…
Twenty-eight years of nothing, then three standards in sixteen months. Dates from RFC 2068, RFC 7540, RFC 9114, Coinbase, Tempo, Mastercard and Ripple's own announcements. My…
Article ·
Get Micwyn on your home screenIts own icon, full screen, and notifications.
Micwyn has a new address: micwyn.comTurn notifications on again here so they keep coming.Add the new address to your home screen.Turn onInstall